Vwar 'war.php' 跨站脚本攻击(XSS)漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1110741 漏洞类型 跨站脚本
发布时间 2006-08-03 更新时间 2006-08-09
CVE编号 CVE-2006-4009 CNNVD-ID CNNVD-200608-088
漏洞平台 PHP CVSS评分 4.3
|漏洞来源
https://www.exploit-db.com/exploits/28326
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-200608-088
|漏洞详情
VirtualWar(Vwar)1.5.0及早期版本的war.php脚本存在跨站脚本攻击(XSS)漏洞,远程攻击者可借助page参数注入任意Web脚本或HTML。
|漏洞EXP
source: http://www.securityfocus.com/bid/19327/info

Vwar is prone to multiple input-validation vulnerabilities, including cross-site scripting and SQL-injection issues. These issues occur because the application fails to properly sanitize user-supplied input. 

A successful exploit of these vulnerabilities could allow an attacker to compromise the application, access or modify data, steal cookie-based authentication credentials, or even exploit vulnerabilities in the underlying database implementation. Other attacks are also possible.

Http://www.example.com/[Path]/war.php?page=[SQL] & [XSS]
|参考资料

来源:BID
名称:19327
链接:http://www.securityfocus.com/bid/19327
来源:BUGTRAQ
名称:20060803Vwarv1.5.0<=SqlInjectionandXSSvuln.
链接:http://www.securityfocus.com/archive/1/archive/1/442101/100/0/threaded
来源:XF
名称:virtualwar-war-xss(28200)
链接:http://xforce.iss.net/xforce/xfdb/28200
来源:BUGTRAQ
名称:20060814VirtualWarv1.5.0SQLinjectionandXSS
链接:http://www.securityfocus.com/archive/1/archive/1/443171/100/0/threaded
来源:SREASON
名称:1331
链接:http://securityreason.com/securityalert/1331